<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
$material = $_COOKIE['material'];

loadJS('jquery-validate');
loadJS('jquery-validate-messages');
echo "<br> Sistema lab. de solos - Módulo amostras";
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
echo(" Operador: $nomeOperador<br>");
$dt_entrada=date("d/m/Y");		

switch ($tela):
/////////////////////////////////////////	/////////////////RESULTADOS////////////////////////	/////////////////////////////////////////	
	case 'resultadosKMA':
		entraResultados('kitmacro');
    break;
	case 'resultadosKMI':
		entraResultados('kitmicro');
    break;


	case 'resultadosS':
		entraResultados('enxofre');
    break;

    case 'resultadosP':
		entraResultados('fosforo');
    break;

	case 'resultadosPH':
		entraResultados('ph');
    break;
	case 'resultadosCPL':
		entraResultados('cpl');
    break;

	case 'resultadosGRA':
		entraResultados('gra');
    break;

	

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;



function entraResultados($conjunto)
{
$sessao = new sessao();
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
if($inicio<1 ):
  $inicio=1;
  $final=5;
  $sessao->setVar('inicio', $inicio);
  $sessao->setVar('final', $final);
endif;

$objetoGenerico=new generica();
$dataBrasileira=$objetoGenerico->obtemDataBrasileira("2013-05-30");
//echo ("data brasileira $dataBrasileira <br>");

$material = $_COOKIE['material'];
$userOto = new amostrasTTAPacote();
$vetorCabecalho=$userOto->encheListaTestes1($material);
//echo("vvvvvvvvvvve   $vetorCabecalho[1] <br>");

//aqui organiza as colunas pois so precisa saber o cabecalho e vou buscar do pacote mas puxando o array de la
  if($conjunto=='fosforo' && $material=='SOLOS'){ 
    $vetorIndices=array(1=>3,2=>4,3=>5,4=>6,5=>7,6=>8,7=>9,8=>10);
    $itensArray=8;
  }
  if($conjunto=='kitmacro' && $material=='SOLOS'){ 
    $vetorIndices=array(1=>1,2=>3,3=>4,4=>22,5=>23,6=>24,7=>25,8=>26,9=>27);
	//echo("array indices= $vetorIndices[7] <br>");
    $itensArray=9;
  }

  if($conjunto=='kitmicro' && $material=='SOLOS'){ 
    $vetorIndices=array(1=>13,2=>14,3=>39,4=>37,5=>34,6=>35,7=>32);
    $itensArray=7;
  }





  if($conjunto=='gra' && $material=='SOLOS'){ 
    $vetorIndices=array(1=>42,2=>43,3=>44,4=>45);
    $itensArray=4;
  }



  if($conjunto=='enxofre' && $material=='SOLOS'){ 
    $vetorIndices=array(1=>13,2=>14,3=>15,4=>16,5=>17,6=>18,7=>19,8=>20,9=>21);
    $itensArray=9;
  }
  if($conjunto=='cpl' && $material=='SOLOS'){ 
    //$vetorIndices=array(1=>13,2=>14,3=>15,4=>16,5=>17,6=>18,7=>19,8=>20,9=>21);
    $itensArray=45;
    for($i=1;$i<=$itensArray;$i++)	
	{
        $vetorIndices[$i]=$i;
	}
  }

  if($conjunto=='ph' && $material=='SOLOS') { 
    $limiteCab1=1;
	$limiteCab2=2;
  }

//pega absorbancia para os nutrientes, boro,potassio,fosforo,materia organica
$objetoTran=new transmitancia();
//$objetoTran->extras_select = "WHERE id_lab=$idLabo";
$objetoTran->selecionaCampos($objetoTran);
while ($res = $objetoTran->retornaDados()):			
	$codigo=$res->codigo;
	$a=$res->a;
	$b=$res->b;
    //echo("codigo= $codigo a=$a  b=$b  <br>");
	if($codigo=='potassio'){ $aPotassio=$a; $bPotassio=$b; }
	if($codigo=='boro'){ $aBoro=$a; $bBoro=$b; }
	if($codigo=='fosforo'){ $aFosforo=$a; $bFosforo=$b; }
	if($codigo=='fosforo_resina'){ $aFosforoResina=$a; $bFosforoResina=$b; }
	if($codigo=='enxofre'){ $aEnxofre=$a; $bEnxofre=$b; }
	if($codigo=='organica'){ $aOrganica=$a; $bOrganica=$b; }
endWhile;

//echo("mmmmmmmmmmmmmmmmmmmmaterial=$material <br>");
//echo("rrrrrrrrrrrridlabo= $idLabo<br> ");
		//final da captura do pacote
		 if (isset($_POST['intervalo'])):
		    $inicio=$_POST['inicio'];//captura a quantidade de amostras a serem registradas
		    $final=$_POST['final'];//captura a quantidade de amostras a serem registradas
			$sessao->setVar('inicio', $inicio);
			$sessao->setVar('final', $final);
         endif;
		 $cabecalhoTela="Entrada de resultados de análise de " .$conjunto;
		 ?>
		 <font color="red"><h2><?php echo($cabecalhoTela)?></h2></font>
		 <?php
        //echo '<h2>Entrada de resultados de análise.</h2>';
    	$rabicho= "WHERE tta.id=tta and id_pacote=pac_id and material='".$material."' and tta.id_labo=$idLabo && numero>=".$inicio."  && numero<=".$final." order by numero ";


///AQUI TRABALHA OS BOTOES DE LAUODS LAUDO VETIV,LADUO UFU,LAUDO COLETIVO ETC///////////////////////
 //////////////////////////////////////////////////
				 //abre a tabela transmitancia para o elemento que vais ser gravado
                 $userbd = new transmitancia();
                 //$userbd->extras_select = "WHERE codigo='".$elemento."'  && id_lab=$idLabo";
                 $userbd->extras_select = "WHERE codigo='".$conjunto."' && id_lab=$idLabo";
                 $userbd->selecionaTudo($userbd);
                 $resbd = $userbd->retornaDados();
                 $a=$resbd->a;
                 $b=$resbd->b;
//////////////////////////////////////////////////		 
		 	
		//////////////////SALVAR///////////////////
         if (isset($_POST['salvar'])):
            echo("esta em savarvvvvvvvvvv <br>");
			$objetoValidacao=new validacao();
		    $vaiGravar=TRUE;
            //valida a data de entrada
		    $dt_entrada=$_POST["dt_entrada"];
		    $retorno=$objetoValidacao->validaDataEntrada($dt_entrada);//esta data vai validar o ano e somente esta
		    if($retorno=='invalida'):
			   printMSG('Amigo, preencha corretamente a data de entrada no formato dd/mm/aaaa, e do ano corrente, pois nenhum dado foi alterado. ','alerta');
               $vaiGravar=FALSE;
		    else:
			   $dt_entrada_americana=$retorno;
		    endif;
			
			
			if($vaiGravar==TRUE):
	            $linhas=($final-$inicio);  //se o inicio for 1 e o fnal for 1(uma amostra ele va fazer um laco apenas)
				$i=0;
				while($i<=$linhas):
					 $i++; 
		             //captura a id para gravar sempre na amostra certa
					 $cid="cid".$i;
		    		 $vcid=$_POST[$cid];//captura a quantidade de amostras a serem registradas
		             //captura todos 75 campos(o campo cpo é o batismo ou identificacao da amostra)
		             for($coluna=0;$coluna<=75;$coluna++)
					 {
		                 $cpn="cp".$coluna.$i;	 $matrizPost[$coluna]=$_POST[$cpn];//captura o batismo 
					 }


		            // echo("cp1= $cp1  cid= $cid  tipo= $conjunto material= $material <br>");

		             //monta o array dos dadoa a atualizar. a esquerda os campos e a direita o conteudo 

					 /*
					 if($conjunto=='fosforo' && $material=='SOLOS'){ 
			             $user = new amostras(array(
			             'p3'=>$vcp3,
			             'p4'=>$vcp4,
			             'p5'=>$vcp5,
			             'p6'=>$vcp6,
			              ));
		             }
					  */

		             //monta o array dos dadoa a atualizar. a esquerda os campos e a direita o conteudo 
					 
					 if($conjunto=='fosforo' && $material=='SOLOS'){ 
			             $user = new amostras(array(
			             'p3'=>$matrizPost[3],
			             'p4'=>$matrizPost[4],
			             'p5'=>$matrizPost[5],
			             'p6'=>$matrizPost[6],
			             'p7'=>$matrizPost[7],
			             'p8'=>$matrizPost[8],
			             'p9'=>$matrizPost[9],
			             'p10'=>$matrizPost[10],
			             'a_fosforo'=>$aFosforo,
			             'b_fosforo'=>$bFosforo,
			              ));
		             }
					 
					 
					 $frase="";
		             for($limi=3;$limi<=10;$limi++)
					 {
					 	$frase=$frase."'p".$limi."'=>".$matrizPost[$limi].",";
					 }			 

					 //echo("frase=  $frase <br>");


		             /*
			             $user = new amostras(array( $frase
			              ));
					 */
					
					 //setor ph
					 if($conjunto=='ph' && $material=='SOLOS'){ 
			             $user = new amostras(array(
			             'p1'=>$matrizPost[1],
			             'p2'=>$matrizPost[2],
			              ));
		             }
	                 //setor kitmacro
					 if($conjunto=='kitmacro' && $material=='SOLOS'){ 
			             $user = new amostras(array(
			             'p1'=>$matrizPost[1],
			             'p3'=>$matrizPost[3],
			             'p4'=>$matrizPost[4],
			             'p22'=>$matrizPost[22],
			             'p23'=>$matrizPost[23],
			             'p24'=>$matrizPost[24],
			             'p25'=>$matrizPost[25],
			             'p26'=>$matrizPost[26],
			             'p27'=>$matrizPost[27],
			             'a_fosforo'=>$aFosforo,
			             'b_fosforo'=>$bFosforo,
			             'a_potassio'=>$aPotassio,
			             'b_potassio'=>$bPotassio,



			              ));
		             }

	                 //setor kitmicro
					 if($conjunto=='kitmicro' && $material=='SOLOS'){ 
			             $user = new amostras(array(
			             'p13'=>$matrizPost[13],
			             'p14'=>$matrizPost[14],
			             'p39'=>$matrizPost[39],
			             'p37'=>$matrizPost[37],
			             'p34'=>$matrizPost[34],
			             'p35'=>$matrizPost[35],
			             'p32'=>$matrizPost[32],
			              ));
		             }

	                 //setor kitmicro
					 if($conjunto=='gra' && $material=='SOLOS'){ 
			             $user = new amostras(array(
			             'p42'=>$matrizPost[42],
			             'p43'=>$matrizPost[43],
			             'p44'=>$matrizPost[44],
			             'p45'=>$matrizPost[45],
			              ));
		             }



	                 //setor enxofre
					 if($conjunto=='enxofre' && $material=='SOLOS'){ 
			             $user = new amostras(array(
			             'p13'=>$matrizPost[13],
			             'p14'=>$matrizPost[14],
			             'p15'=>$matrizPost[15],
			             'p16'=>$matrizPost[16],
			             'p17'=>$matrizPost[17],
			             'p18'=>$matrizPost[18],
			             'p19'=>$matrizPost[19],
			             'p20'=>$matrizPost[20],
			             'p22'=>$matrizPost[21],
			             'a_enxofre'=>$a_enxofre,
			             'b_enxofre'=>$b_enxofre,
			              ));
		             }
	                 //setor display completo
					 if($conjunto=='cpl' && $material=='SOLOS'){ 
			             $user = new amostras(array(
			             'p1'=>$matrizPost[1],
			             'p2'=>$matrizPost[2],
			             'p3'=>$matrizPost[3],
			             'p4'=>$matrizPost[4],
			             'p5'=>$matrizPost[5],
			             'p6'=>$matrizPost[6],
			             'p7'=>$matrizPost[7],
			             'p8'=>$matrizPost[8],
			             'p9'=>$matrizPost[9],
			             'p10'=>$matrizPost[10],
			             'p11'=>$matrizPost[11],
			             'p12'=>$matrizPost[12],
			             'p13'=>$matrizPost[13],
			             'p14'=>$matrizPost[14],
			             'p15'=>$matrizPost[15],
			             'p16'=>$matrizPost[16],
			             'p17'=>$matrizPost[17],
			             'p18'=>$matrizPost[18],
			             'p19'=>$matrizPost[19],
			             'p20'=>$matrizPost[20],
			             'p21'=>$matrizPost[21],
			             'p22'=>$matrizPost[22],
			             'p23'=>$matrizPost[23],
			             'p24'=>$matrizPost[24],
			             'p25'=>$matrizPost[25],
			             'p26'=>$matrizPost[26],
			             'p27'=>$matrizPost[27],
			             'p28'=>$matrizPost[28],
			             'p29'=>$matrizPost[29],
			             'p30'=>$matrizPost[30],
			             'p31'=>$matrizPost[31],
			             'p32'=>$matrizPost[32],
			             'p33'=>$matrizPost[33],
			             'p34'=>$matrizPost[34],
			             'p35'=>$matrizPost[35],
			             'p36'=>$matrizPost[36],
			             'p37'=>$matrizPost[37],
			             'p38'=>$matrizPost[38],
			             'p39'=>$matrizPost[39],
			             'p40'=>$matrizPost[40],
			             'p41'=>$matrizPost[41],
	                     'a_enxofre'=>$a_enxofre,
			             'b_enxofre'=>$b_enxofre,
			              ));
		             }

					 if($conjunto=='outro' && $material=='SOLOS'){ 
			             $user = new amostras(array(
			             'p1'=>$vcp1,
			             'p2'=>$vcp2,
			             'p3'=>$vcp3,
			             'p4'=>$vcp4,
			             'p5'=>$vcp5,
			             'p6'=>$vcp6,
			              ));
		             }
					 
		             //echo("ttttttttttttttttttttttttttttttttttipo= $conjunto<br>");



					$user->valorpk = $vcid;
					$user->extras_select = "WHERE id=$vcid";
					$user->atualizar($user);
	                $salvado="Ok.Salvou.";
				endwhile;   
            endif;
         endif;  //fecha o isset do salvar

//aqui monta o vetor bidimensional com os dados/////////////////
                 $user = new amostrasTTAPacote();
				 $user->extras_select = $rabicho ;
                 //$user->selecionaTudo($user);
				 $user->selecionaCampos($user);
				 $linha=0;
				 
                while ($res = $user->retornaDados()):
                    echo '<tr>';
				    $linha++;	
                    $cid="cid".$linha;  //o nome do campo será   cid1, cid2, e assim por diante
                    $cp0="cp0".$linha;  //o nome do campo ser cp1,cp2 e assim por diante um nome para cada linha
					
					//coloca na posicao 0(zero) o campo cid
					$vetorCampo[$linha][0]="cid".$linha; //  vai criar os 75 campos  cp11  cp21(campo da coluna e da linha)
                    //cria todos os 75 campos previstos no pacote
					for($col=1;$col<=75;$col++)
					{
					     $vetorCampo[$linha][$col]="cp".$col.$linha; //  vai criar os 75 campos  cp11  cp21(campo da coluna e da linha)
					}
				
                     $vetorBidi[$linha][0]=$res->id; //campo id da amostra  embora tem campo id na tta e no pacote ele traz o id certo da amostra
                     $vetorBidi[$linha][1]=$res->numero;//numero da amostra
					 $dataAmericana=substr($res->datacad,0,10);
					 $dataBrasileira=$objetoGenerico->obtemDataBrasileira($dataAmericana);
                     $vetorBidi[$linha][2]=$dataBrasileira;//data de entrada
                     $vetorBidi[$linha][3]=$res->sigla;//nome resumido do pacote
                     //le todos testes da amostra e coloca na matriz
	                    $vetorTestes[$linha][1]= $res->p1;
	                    $vetorTestes[$linha][2]= $res->p2;
	                    $vetorTestes[$linha][3]= $res->p3;
	                    $vetorTestes[$linha][4]= $res->p4;
	                    $vetorTestes[$linha][5]= $res->p5;
	                    $vetorTestes[$linha][6]= $res->p6;
	                    $vetorTestes[$linha][7]= $res->p7;
	                    $vetorTestes[$linha][8]= $res->p8;
	                    $vetorTestes[$linha][9]= $res->p9;
	                    $vetorTestes[$linha][10]= $res->p10;
	                    $vetorTestes[$linha][11]= $res->p11;
	                    $vetorTestes[$linha][12]= $res->p12;
	                    $vetorTestes[$linha][13]= $res->p13;
	                    $vetorTestes[$linha][14]= $res->p14;
	                    $vetorTestes[$linha][15]= $res->p15;
	                    $vetorTestes[$linha][16]= $res->p16;
	                    $vetorTestes[$linha][17]= $res->p17;
	                    $vetorTestes[$linha][18]= $res->p18;
	                    $vetorTestes[$linha][19]= $res->p19;
	                    $vetorTestes[$linha][20]= $res->p20;
	                    $vetorTestes[$linha][21]= $res->p21;
	                    $vetorTestes[$linha][22]= $res->p22;
	                    $vetorTestes[$linha][23]= $res->p23;
	                    $vetorTestes[$linha][24]= $res->p24;
	                    $vetorTestes[$linha][25]= $res->p25;
	                    $vetorTestes[$linha][26]= $res->p26;
	                    $vetorTestes[$linha][27]= $res->p27;
	                    $vetorTestes[$linha][28]= $res->p28;
	                    $vetorTestes[$linha][29]= $res->p29;
	                    $vetorTestes[$linha][30]= $res->p30;
	                    $vetorTestes[$linha][31]= $res->p31;
	                    $vetorTestes[$linha][32]= $res->p32;
	                    $vetorTestes[$linha][33]= $res->p33;
	                    $vetorTestes[$linha][34]= $res->p34;
	                    $vetorTestes[$linha][35]= $res->p35;
	                    $vetorTestes[$linha][36]= $res->p36;
	                    $vetorTestes[$linha][37]= $res->p37;
	                    $vetorTestes[$linha][38]= $res->p38;
	                    $vetorTestes[$linha][39]= $res->p39;
	                    $vetorTestes[$linha][40]= $res->p40;
	                    $vetorTestes[$linha][41]= $res->p41;
	                    $vetorTestes[$linha][42]= $res->p42;
	                    $vetorTestes[$linha][43]= $res->p43;
	                    $vetorTestes[$linha][44]= $res->p44;
	                    $vetorTestes[$linha][45]= $res->p45;
	                    $vetorTestes[$linha][46]= $res->p46;
	                    $vetorTestes[$linha][47]= $res->p47;
	                    $vetorTestes[$linha][48]= $res->p48;
	                    $vetorTestes[$linha][49]= $res->p49;
	                    $vetorTestes[$linha][50]= $res->p50;
	                    $vetorTestes[$linha][51]= $res->p51;
	                    $vetorTestes[$linha][52]= $res->p52;
	                    $vetorTestes[$linha][53]= $res->p53;
	                    $vetorTestes[$linha][54]= $res->p54;
	                    $vetorTestes[$linha][55]= $res->p55;
	                    $vetorTestes[$linha][56]= $res->p56;
	                    $vetorTestes[$linha][57]= $res->p57;
	                    $vetorTestes[$linha][58]= $res->p58;
	                    $vetorTestes[$linha][59]= $res->p59;
	                    $vetorTestes[$linha][60]= $res->p60;
	                    $vetorTestes[$linha][61]= $res->p61;
	                    $vetorTestes[$linha][62]= $res->p62;
	                    $vetorTestes[$linha][63]= $res->p63;
	                    $vetorTestes[$linha][64]= $res->p64;
	                    $vetorTestes[$linha][65]= $res->p65;
	                    $vetorTestes[$linha][66]= $res->p66;
	                    $vetorTestes[$linha][67]= $res->p67;
	                    $vetorTestes[$linha][68]= $res->p68;
	                    $vetorTestes[$linha][69]= $res->p69;
	                    $vetorTestes[$linha][70]= $res->p70;
	                    $vetorTestes[$linha][71]= $res->p71;
	                    $vetorTestes[$linha][72]= $res->p72;
	                    $vetorTestes[$linha][73]= $res->p73;
	                    $vetorTestes[$linha][74]= $res->p74;
	                    $vetorTestes[$linha][75]= $res->p75;
				
		
					  ?>
					<?php
                    echo '</tr>';
                endwhile;                


//fim da montagem do vetor bidimensisonal////////////////







		 loadCSS('tableRolagem');
         loadJS('jquery-datatable');  

		 
		 
		 
		 
        ?>
       <script type="text/javascript" language="javascript">

$(document).ready(function () {

    // Ao mover a barra de rolagem da tabela, mover seus cabecalhos e o 'versus'

    $("div#tabela").scroll(function () {

        $('div#tabela #cabecalhoHorizontal, #versus').css('top', $(this).scrollTop());

        $('div#tabela #cabecalhoVertical, #versus').css('left', $(this).scrollLeft());

    });

});

</script>

		
		<form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe valores analisados</legend>
                    <ul>
                        <li><label for="qtd">Amostras de:</label>
                        <input type="text" size="5" name="inicio" value="<?php echo $inicio; ?>" />
                        até
                        <input type="text" size="5" name="final" value="<?php echo $final; ?>" />
						<input type="submit" name="intervalo" value="Intervalo ou Sequencia" />
						<input type="text" size="8"  name="dt_entrada" value="<?php echo $dt_entrada;?>" />
						
                        <input type="submit" name="salvar" value="Salvar" /><?php echo $salvado; ?>
						</li>
                        <li>Laudos:
                  		<a href="imprimelaudolassul.php">[L1]</a>
                  		<a href="imprimelaudogranulometria.php">[L2]</a>
                  		<a href="imprimelaudogranulometria2.php">[L3]</a>
                  		<a href="imprimelaudoufu.php">[L4]</a>
						
						
						
						
						
                    	<!-- <a href="General.php?idAmostra=<?php echo($amostraLong)?> && operacao=reme&&  usuario=<?php echo($idUsuario)?>" </a> Req.:<?php echo $remetenteCurto ?>-->
						
						
						
						</li>
                    </ul>
                </fieldset>
				



<center>
    <font color="grey"><h3>Valores de leituras:</h3></font>
</center>



<div id="tabela">



    <span id="versus">Amostra</span>



    <!-- Primeiro, cria o cabecalho horizontal da tabela -->

    <table id="cabecalhoHorizontal">

        <thead>

            <tr>
               <td>Data</td><td>Pacote</td>
			   <?php
			   //echo("itens array $itensArray<br>");
			   for($i=1;$i<=$itensArray;$i++)
			   {
			   ?>
			   <td><?php echo $vetorCabecalho[$vetorIndices[$i]];?></td>
			   <?php	
			   }
			   ?>
			   <td>-</td>

            </tr>

        </thead>

    </table>



	<!-- Depois, cria o cabecalho vertical da tabela ou seja os numeros das amostras -->

    <table id="cabecalhoVertical">

        <thead>
           <?php 
		   for($i=1;$i<=$linha;$i++)
		   {
		   	   echo("<tr><td>". $vetorBidi[$i][1]."</td></tr>" );
		   }
           ?>


        </thead>

    </table>    

    

    <!-- Dados da tabela -->

    <table id="dados">        

        <tbody>  






<?php

for($lin=1;$lin<=$linha;$lin++)
{
    echo "<tr>";
	?>
	<td><?php echo $vetorBidi[$lin][2];?> </td>					
	<td><?php echo $vetorBidi[$lin][3];?> </td>					
	<?php
	//ph é de 1 a 2   fosforo é de 3 a 10
	for($col=1;$col<=$itensArray;$col++)
    {
		?>
		    <td><input type="text" size="2" name="<?php echo $vetorCampo[$lin][$vetorIndices[$col]]; ?>" value="<?php echo $vetorTestes[$lin][$vetorIndices[$col]];?>" />  </td>					
			<?php
		}
	?>
	<td><input type="hidden" size="2" name="<?php echo $vetorCampo[$lin][0]; ?>" readonly="readonly"  value="<?php echo $vetorBidi[$lin][0];?>" />  </td>					
	<?php
    echo "</tr>";
}
?>

        

        <!-- Agnaldo
		Este agnaldo é um aluno e o exemploe seria de uma planilha em que apareceria as presenças ou ausencias em aula
        //nao remover est exemlo que serve para lembrar como funciona
        <tr>

        	<td> L </td><td> P </td><td> P </td><td> P </td><td> P </td>

            <td> - </td><td> - </td><td> P </td><td> P </td><td> P </td>

            <td> P </td><td> P </td><td> - </td><td> - </td><td> P </td>

            <td> P </td><td> P </td><td> P </td><td> P </td><td> - </td>

            <td> - </td><td> P </td><td> P </td><td> P </td><td> P </td>

            <td> P </td><td> - </td><td> - </td><td> P </td><td> P </td>        

        </tr>

         -->



        </tbody>

    </table>



</div>



				
				
				
				
				
				
				
		
        </form>
        
        <?php        

}








?>